Jump to content

J-MOD (based on Android 2.1)


Guest JohnPorter
 Share

Recommended Posts

Guest primo007
WOOHOO!

I have a working ROM with Darktremor A2SD 2.75.1 at long last built through the kitchen! Just need to do some testing and make a couple of changes and then I can release a new version again!

The most recent version is 2.7.5.2. You should use that to be up to date.

Link to comment
Share on other sites

Guest JohnPorter
The most recent version is 2.7.5.2. You should use that to be up to date.

:P

I'll will have a look, not promising...it's took me long enough to get 2.7.5.1 working!

Link to comment
Share on other sites

:P

I'll will have a look, not promising...it's took me long enough to get 2.7.5.1 working!

Congrats on the success!

v. 0.101 of the kitchen used Apps2SD 2.7.5.2. But they are on to 0.102 already! (Although the change from 0.101 to 0.102 had nothing to do with updating the third-party apps/utilities.)

Link to comment
Share on other sites

Guest JohnPorter

I'm so excited, oo eeee I'm so excited lol

Been working to improve this ROM a bit more, and am currently testing a version with Swap, OC, latest DarkTremor A2SD and JIT, if it performs okay over the next couple of days I will upload here for others to try....

Edited by JohnPorter
Link to comment
Share on other sites

Guest JohnPorter
I'll give it a try! So far your latest rom performs well on my phone.

Cool.

It has been rebuilt from scratch and is based on the T-Mobile UK Android 2.1 Update with the OC/Swap Kernel added in. Seems to be working okay on my phone, just want to give a bit longer before I upload to make sure I don't release a buggy version.

Edited by JohnPorter
Link to comment
Share on other sites

Guest nostromo76
Cool.

It has been rebuilt from scratch and is based on the T-Mobile UK Android 2.1 Update with the OC/Swap Kernel added in. Seems to be working okay on my phone, just want to give a bit longer before I upload to make sure I don't release a buggy version.

Congrats and good luck! I'll be expecting your next release (I'm a FLB-MOD user looking for an alternative). I've been living a nightmare with a2sd, so please, check very well that on your next ROM, will it be "enable" by default? (SWAP, Apps on SD & Cache)

Thank you very much for sharing your work & effort with us all, keep going pal! :P

Link to comment
Share on other sites

Guest JohnPorter
Congrats and good luck! I'll be expecting your next release (I'm a FLB-MOD user looking for an alternative). I've been living a nightmare with a2sd, so please, check very well that on your next ROM, will it be "enable" by default? (SWAP, Apps on SD & Cache)

Thank you very much for sharing your work & effort with us all, keep going pal! :P

Swap will be enabled by default providing you have a Swap Partition already created. The swappiness value is set to 60 by default but is easily changeable by executing the a2sd swappyXX (where XX = the desired swappiness value) under the Terminal.

Apps2SD will also be enabled, again if you have an EXT2 partition created. It does support EXT3 partitions but I'd recommend staying with EXT2.

Dalvik Cache is not moved to the SD Card by default, but can be easily done by executing the a2sd cachesd command in the Terminal. This is because it's not recommended to move the Dalvik Cache to the SD Card unless it's Class 4+, so I can't demand or assume everyone has a capable card in their phones.

It also has the over-clocked kernel, which allows the CPU to be over clocked up to 691MHz, you can install SetCPU if you wish to change this.

Also be aware that you will have needed to have updated your phone with the T-Mobile UK 2.1 Update or the TRE Update for this to work due to the different partition sizes

If everything goes ok, I may upload it late tonight or tomorrow evening. Thank you for your kind words.

Edited by JohnPorter
Link to comment
Share on other sites

Guest nostromo76
Swap will be enabled by default providing you have a Swap Partition already created. The swappiness value is set to 60 by default but is easily changeable by executing the a2sd swappyXX (where XX = the desired swappiness value) under the Terminal.

Apps2SD will also be enabled, again if you have an EXT2 partition created. It does support EXT3 partitions but I'd recommend staying with EXT2.

Dalvik Cache is not moved to the SD Card by default, but can be easily done by executing the a2sd cachesd command in the Terminal. This is because it's not recommended to move the Dalvik Cache to the SD Card unless it's Class 4+, so I can't demand or assume everyone has a capable card in their phones.

It also has the over-clocked kernel, which allows the CPU to be over clocked up to 691MHz, you can install SetCPU if you wish to change this.

Also be aware that you will have needed to have updated your phone with the T-Mobile UK 2.1 Update or the TRE Update for this to work due to the different partition sizes

If everything goes ok, I may upload it late tonight or tomorrow evening. Thank you for your kind words.

It's my pleasure John, I'm confident about your work and be expecting to "upgrade" my FLB-MOD 1.7

One more question John, about the upgrade itsefl, do I have to flash the T-Mobile UK 2.1 Update or the TRE Update? (considering I'm using FLB-MOD 1.7)

I that case, where I could find the appropiate instructions?

Thank you awain, sorry to bother you with this newbie questions!

Link to comment
Share on other sites

Guest JohnPorter
It's my pleasure John, I'm confident about your work and be expecting to "upgrade" my FLB-MOD 1.7

One more question John, about the upgrade itsefl, do I have to flash the T-Mobile UK 2.1 Update or the TRE Update? (considering I'm using FLB-MOD 1.7)

I that case, where I could find the appropiate instructions?

Thank you awain, sorry to bother you with this newbie questions!

See this post for all the info about installing updates and custom roms on the pulse.

Did you install the Hungarian update before you installed FLB 1.7? If so then yes you will have to install the UK or Tre Update before. If you have already installed the UK or TRE update (and haven't since installed the Hungarian Update) then no, you should just be able to flash J-MOD.

If you do need to install the UK T-Mobile Update, there's a link in the first post of this topic to download it. (T-Mobile has officially withdrawn the update a while ago)

Link to comment
Share on other sites

Guest nostromo76
See this post for all the info about installing updates and custom roms on the pulse.

Did you install the Hungarian update before you installed FLB 1.7? If so then yes you will have to install the UK or Tre Update before. If you have already installed the UK or TRE update (and haven't since installed the Hungarian Update) then no, you should just be able to flash J-MOD.

If you do need to install the UK T-Mobile Update, there's a link in the first post of this topic to download it. (T-Mobile has officially withdrawn the update a while ago)

Thank you for your answer John, I flashed the UK before I had upgraded to FLB-MOD 1.7, hope I didn't have to do it again(It won't be any problem dough).

In case you want to know a little bit more about the people who wrote in your topic: I'm from a country called "Uruguay" in South America (http://en.wikipedia.org/wiki/Uruguay) right between Brazil and Argentina.

I'm a Computer Engineer working as a certified PMI's PMP Project Manager since 2008.

I'm not married but I'm living with my couple for four year now. We have a beautiful three years old daughter which means everything for us.

Well I don't mean to bother you with this kind of personal stuff, just thought you might be interested in who's behind a nick-name.

I'll be expecting your next release before moving on from FLB-MOD 1.7, please -> DO NOT HURRY, test it enough and be sure the basics work well.

Thanks again, see you soon pal!

Link to comment
Share on other sites

Guest JohnPorter
Thank you for your answer John, I flashed the UK before I had upgraded to FLB-MOD 1.7, hope I didn't have to do it again(It won't be any problem dough).

In case you want to know a little bit more about the people who wrote in your topic: I'm from a country called "Uruguay" in South America (http://en.wikipedia.org/wiki/Uruguay) right between Brazil and Argentina.

I'm a Computer Engineer working as a certified PMI's PMP Project Manager since 2008.

I'm not married but I'm living with my couple for four year now. We have a beautiful three years old daughter which means everything for us.

Well I don't mean to bother you with this kind of personal stuff, just thought you might be interested in who's behind a nick-name.

I'll be expecting your next release before moving on from FLB-MOD 1.7, please -> DO NOT HURRY, test it enough and be sure the basics work well.

Thanks again, see you soon pal!

Thank you, it is nice to get to know people on here, so it is nice for you to share that information with me and this forum, really makes more pleasant etc... I'm from the UK and also work as a computer engineer, which I've been doing for just over 15 years now. I'm single with no kids (not what I know of anyway lol).

Regarding the ROM, unfortunately, it isn't that stable at the moment, had a series of FC's over past day or so, need to find out what is causing these.

Link to comment
Share on other sites

Guest nostromo76
Thank you, it is nice to get to know people on here, so it is nice for you to share that information with me and this forum, really makes more pleasant etc... I'm from the UK and also work as a computer engineer, which I've been doing for just over 15 years now. I'm single with no kids (not what I know of anyway lol).

Regarding the ROM, unfortunately, it isn't that stable at the moment, had a series of FC's over past day or so, need to find out what is causing these.

In case you are interested I'm offering you to "beta-test" the ROM, following your testing plan and documenting everything in the middle.

I want to help make this ROM the best it could be, giving you the time needed to improve it (and the next releases).

Regards!

Link to comment
Share on other sites

Guest JohnPorter
In case you are interested I'm offering you to "beta-test" the ROM, following your testing plan and documenting everything in the middle.

I want to help make this ROM the best it could be, giving you the time needed to improve it (and the next releases).

Regards!

Ok thank you for your support, I will upload a version and send you the link via PM, don't a public release till I've had a chance to resolve the issues.

Think this maybe the last version of J-MOD as the CM6 port is coming on great and there's not really any point in continuing with 2.1 anymore. I am going to look into possibily releasing a 2.2 based ROM later down the line.

Link to comment
Share on other sites

Guest nostromo76
Ok thank you for your support, I will upload a version and send you the link via PM, don't a public release till I've had a chance to resolve the issues.

Think this maybe the last version of J-MOD as the CM6 port is coming on great and there's not really any point in continuing with 2.1 anymore. I am going to look into possibily releasing a 2.2 based ROM later down the line.

Ok, I'll be expecting your notification. Could you summarize the main differences (advantages) between 2.1 and 2.2? Which is the impact in performance?

See you son and god luck with the new release!

Regards!

Link to comment
Share on other sites

Guest JohnPorter
this mod doesnt work on U8230. i get always acore error.

At what point do you get the error? If you provide more information then I can help you solve it. v1.4 has been faultless on my phone.

Edited by JohnPorter
Link to comment
Share on other sites

Yes, i wipe before flashing, and i also wipe after flashing. the error comes with ni reason. i just scroll the menu and then get the acore failure.

i have a RBM2

Link to comment
Share on other sites

Guest JohnPorter
Yes, i wipe before flashing, and i also wipe after flashing. the error comes with ni reason. i just scroll the menu and then get the acore failure.

i have a RBM2

Have you installed the UK Update or the TRE update before hand?

Link to comment
Share on other sites

Guest JohnPorter
i have installed the RedBull Mobile 2.1 Fimrware and then flashed the JMOD.

Think that maybe the problem. Flash the UK Update (link to download is in first post of this thread) and then re-flash J-MOD.

Link to comment
Share on other sites

Guest AntonioPT
but U8220, U8220-6 and U8230 are different Hardware. Will the T-Mobile Rom work on U8230 ?

I wouldn't advise you to flash UK 2.1 on a U8230. I'm not sure if the UK 2.1 can be applied to the U8230: as you said the hardware is a little different (the partition layout is very different, because the U8230 and the U8220 have different internal memory sizes)...

To play it safe, you really SHOULDN'T flash the UK 2.1. Try installing FLB-MOD 1.7 and see if that works out for you :)

Link to comment
Share on other sites

Guest karlosoliveira

I have a 8230 with redbull mobile sunrise 2.1 update and already have jmod, flb, cm6, without any problems installed by clockwork in recovery mode.

Link to comment
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
 Share

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.